## fenics-basix 0.5.1

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 3.16)

project(BasixFull VERSION "0.5.1" LANGUAGES CXX)
add_subdirectory(cpp)
add_subdirectory(python)
