=== debian/changelog ===
fenics-basix (0.5.1-1) unstable; urgency=medium

  * New upstream release.
    - versioned Build-Depends: python3-numpy (>= 1.21~)
    - provides pregenerated cpp/basix/docs.h

 -- Drew Parsons <dparsons@debian.org>  Tue, 20 Sep 2022 10:32:56 +0200

fenics-basix (0.5.0-1exp1) experimental; urgency=medium

  * New upstream release.
    - requires C++20, no longer uses xtensor, xtl.
      Drop Build-Depends: libxtensor-dev, libxsimd-dev, xtl-dev.
    - ABI bump to libbasix0.5
  * use pyproject to build python module
    - Build-Depends: pybuild-plugin-pyproject, python3-skbuild
  * bump versioned Build-Depends: python3-pybind11 (>= 2.6.4~)
  * clean more build files with dh_clean override

 -- Drew Parsons <dparsons@debian.org>  Wed, 17 Aug 2022 14:35:26 +0200
