=== debian/control ===
Source: fenics-basix
Section: python
Priority: optional
Maintainer: Debian Science Team <debian-science-maintainers@lists.alioth.debian.org>
Uploaders: Drew Parsons <dparsons@debian.org>
Build-Depends: debhelper-compat (= 13),
 dh-python,
 python3-setuptools,
 python3-all-dev:any,
 python3-ufl,
 python3-numpy (>= 1.21~),
 python3-pybind11 (>= 2.6.4~),
 pybuild-plugin-pyproject,
 python3-pytest,
 python3-skbuild,
 python3-sphinx,
 python3-sympy,
 python3-wheel,
 cmake (>= 3.16),
 chrpath,
 cython3,
 libeigen3-dev,
 libjs-mathjax,
 ninja-build,
 libblas-dev | libopenblas-dev | libblis-dev | libatlas-base-dev | libblas.so,
 liblapack-dev | libopenblas-dev | libatlas-base-dev | liblapack.so
Build-Depends-Indep: doxygen, graphviz
Standards-Version: 4.6.1
Homepage: https://github.com/FEniCS/basix
Vcs-Browser: https://salsa.debian.org/science-team/fenics/fenics-basix
Vcs-Git: https://salsa.debian.org/science-team/fenics/fenics-basix.git
Testsuite: autopkgtest-pkg-python
Rules-Requires-Root: no

Package: libbasix-dev
Architecture: any
Multi-Arch: same
Depends: libbasix0.5 (= ${binary:Version}),
 libeigen3-dev,
 ${misc:Depends}, ${shlibs:Depends}
Suggests: python3-basix, basix-doc
Description: Finite Element Basis Function Definition Runtime Library (development headers)
 Computes FE basis functions and derivatives for the following
 elements:
  -   Lagrange (interval, triangle, tetrahedron, prism, pyramid,
  quadrilateral, hexahedron)
  -   Nédélec (triangle, tetrahedron)
  -   Nédélec Second Kind (triangle, tetrahedron)
  -   Raviart-Thomas (triangle, tetrahedron)
  -   Regge (triangle, tetrahedron)
  -   Crouzeix-Raviart (triangle, tetrahedron)
 .
 Computes quadrature rules on different cell types
 .
 Provides reference topology and geometry for reference cells of each
 type.
 .
 Python wrapper provided with pybind11.
 .
 This package installs the development files for the shared library.

Package: libbasix0.5
Architecture: any
Multi-Arch: same
Depends: ${misc:Depends}, ${shlibs:Depends}
Suggests: basix-doc
Description: Finite Element Basis Function Definition Runtime Library (Python 3)
 Computes FE basis functions and derivatives for the following
 elements:
  -   Lagrange (interval, triangle, tetrahedron, prism, pyramid,
  quadrilateral, hexahedron)
  -   Nédélec (triangle, tetrahedron)
  -   Nédélec Second Kind (triangle, tetrahedron)
  -   Raviart-Thomas (triangle, tetrahedron)
  -   Regge (triangle, tetrahedron)
  -   Crouzeix-Raviart (triangle, tetrahedron)
 .
 Computes quadrature rules on different cell types
 .
 Provides reference topology and geometry for reference cells of each
 type.
 .
 Python wrapper provided with pybind11.
 .
 This package installs the shared library.

Package: python3-basix
Architecture: any
Depends: libbasix-dev  (= ${binary:Version}),
 ${python3:Depends}, ${misc:Depends}, ${shlibs:Depends}
Recommends: python3-numba
Breaks: python3-ffcx (<< 1:0.4~)
Suggests: basix-doc
Description: Finite Element Basis Function Definition Runtime Library (Python 3)
 Computes FE basis functions and derivatives for the following
 elements:
  -   Lagrange (interval, triangle, tetrahedron, prism, pyramid,
  quadrilateral, hexahedron)
  -   Nédélec (triangle, tetrahedron)
  -   Nédélec Second Kind (triangle, tetrahedron)
  -   Raviart-Thomas (triangle, tetrahedron)
  -   Regge (triangle, tetrahedron)
  -   Crouzeix-Raviart (triangle, tetrahedron)
 .
 Computes quadrature rules on different cell types
 .
 Provides reference topology and geometry for reference cells of each
 type.
 .
 Python wrapper provided with pybind11.
 .
 This package installs the library for Python 3.

Package: basix-doc
Architecture: all
Multi-Arch: foreign
Section: doc
Depends: libjs-mathjax, ${sphinxdoc:Depends}, ${misc:Depends}
Suggests: python3-basix
Description: Finite Element Basis Function Definition Runtime Library (docs)
 Computes FE basis functions and derivatives for the following
 elements:
  -   Lagrange (interval, triangle, tetrahedron, prism, pyramid,
  quadrilateral, hexahedron)
  -   Nédélec (triangle, tetrahedron)
  -   Nédélec Second Kind (triangle, tetrahedron)
  -   Raviart-Thomas (triangle, tetrahedron)
  -   Regge (triangle, tetrahedron)
  -   Crouzeix-Raviart (triangle, tetrahedron)
 .
 Computes quadrature rules on different cell types
 .
 Provides reference topology and geometry for reference cells of each
 type.
 .
 This is the common documentation package.
