=== debian/tests/control ===
Test-Command: pytest-3 -k "not numba"
Depends: python3-basix,
 python3-pytest,
 python3-ufl,
 python3-numpy,
 python3-sympy
