## fenics-basix 0.6.0

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 3.19)

project(BasixFull VERSION "0.6.0" LANGUAGES CXX)
add_subdirectory(cpp)
add_subdirectory(python)
