=== debian/changelog ===
fenics-basix (0.6.0-6) unstable; urgency=medium

  * source-only upload for migration to testing. Closes: #1043062.

 -- Drew Parsons <dparsons@debian.org>  Wed, 09 Aug 2023 10:15:34 +0200

fenics-basix (0.6.0-5) unstable; urgency=medium

  * gcc-13 patches evidently altered the ABI.
    Shift soname to 0.6gcc13 with project version 0.6.0.13

 -- Drew Parsons <dparsons@debian.org>  Mon, 24 Jul 2023 13:32:04 +0200

fenics-basix (0.6.0-4) unstable; urgency=medium

  * debian patch gcc13_fix.patch enables build with gcc-13.
    Closes: #1037650.

 -- Drew Parsons <dparsons@debian.org>  Fri, 21 Jul 2023 00:13:52 +0200

fenics-basix (0.6.0-3) unstable; urgency=medium

  * python3-basix Depends: python3-ufl (>= 2023.1.0~)
    (for ufl.sobolevspace.HInf used in ufl_wrapper.py)

 -- Drew Parsons <dparsons@debian.org>  Tue, 27 Jun 2023 01:57:17 +0200

fenics-basix (0.6.0-2) unstable; urgency=medium

  * Standards-Version: 4.6.2

 -- Drew Parsons <dparsons@debian.org>  Sat, 24 Jun 2023 15:23:44 +0200

fenics-basix (0.6.0-1exp1) experimental; urgency=medium

  * New upstream release
    - ABI bump to 0.6
    - versioned Build-Depends: python3-ufl (>= 2023.1.0~)

 -- Drew Parsons <dparsons@debian.org>  Sun, 15 Jan 2023 01:58:27 +0100
