=== debian/control ===
--- 
+++ 
@@ -7,7 +7,7 @@
  dh-python,
  python3-setuptools,
  python3-all-dev:any,
- python3-ufl,
+ python3-ufl (>= 2023.1.0~),
  python3-numpy (>= 1.21~),
  python3-pybind11 (>= 2.6.4~),
  pybuild-plugin-pyproject,
@@ -25,7 +25,7 @@
  libblas-dev | libopenblas-dev | libblis-dev | libatlas-base-dev | libblas.so,
  liblapack-dev | libopenblas-dev | libatlas-base-dev | liblapack.so
 Build-Depends-Indep: doxygen, graphviz
-Standards-Version: 4.6.1
+Standards-Version: 4.6.2
 Homepage: https://github.com/FEniCS/basix
 Vcs-Browser: https://salsa.debian.org/science-team/fenics/fenics-basix
 Vcs-Git: https://salsa.debian.org/science-team/fenics/fenics-basix.git
@@ -35,7 +35,7 @@
 Package: libbasix-dev
 Architecture: any
 Multi-Arch: same
-Depends: libbasix0.5 (= ${binary:Version}),
+Depends: libbasix0.6gcc13 (= ${binary:Version}),
  libeigen3-dev,
  ${misc:Depends}, ${shlibs:Depends}
 Suggests: python3-basix, basix-doc
@@ -59,7 +59,7 @@
  .
  This package installs the development files for the shared library.
 
-Package: libbasix0.5
+Package: libbasix0.6gcc13
 Architecture: any
 Multi-Arch: same
 Depends: ${misc:Depends}, ${shlibs:Depends}
@@ -87,6 +87,7 @@
 Package: python3-basix
 Architecture: any
 Depends: libbasix-dev  (= ${binary:Version}),
+ python3-ufl (>= 2023.1.0~),
  ${python3:Depends}, ${misc:Depends}, ${shlibs:Depends}
 Recommends: python3-numba
 Breaks: python3-ffcx (<< 1:0.4~)
