=== debian/changelog ===
fenics-basix (0.7.0-2.1build1) noble; urgency=medium

  * No-change rebuild for CVE-2024-3094

 -- Steve Langasek <steve.langasek@ubuntu.com>  Sun, 31 Mar 2024 18:14:47 +0000

fenics-basix (0.7.0-2.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Rename libraries for 64-bit time_t transition.  Closes: #1062553

 -- Michael Hudson-Doyle <mwhudson@debian.org>  Wed, 28 Feb 2024 04:38:54 +0000

fenics-basix (0.7.0-2) unstable; urgency=medium

  * Depends: python3-ufl (>= 2023.2.0~)

 -- Drew Parsons <dparsons@debian.org>  Mon, 30 Oct 2023 22:48:08 +0100

fenics-basix (0.7.0-1exp1) experimental; urgency=medium

  * New upstream release. ABI bump to 0.7.
    - applies or deprecates debian patches gcc13_fix.patch
      skip_flaky_arch_numba_tests.patch, test_numba_conditional.patch

 -- Drew Parsons <dparsons@debian.org>  Wed, 04 Oct 2023 17:14:54 +0200
