=== debian/control ===
--- 
+++ 
@@ -1,13 +1,14 @@
 Source: fenics-basix
 Section: python
 Priority: optional
-Maintainer: Debian Science Team <debian-science-maintainers@lists.alioth.debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian Science Team <debian-science-maintainers@lists.alioth.debian.org>
 Uploaders: Drew Parsons <dparsons@debian.org>
-Build-Depends: debhelper-compat (= 13),
+Build-Depends: dpkg-dev (>= 1.22.5), debhelper-compat (= 13),
  dh-python,
  python3-setuptools,
  python3-all-dev:any,
- python3-ufl (>= 2023.1.0~),
+ python3-ufl (>= 2023.2.0~),
  python3-numpy (>= 1.21~),
  python3-pybind11 (>= 2.6.4~),
  pybuild-plugin-pyproject,
@@ -35,7 +36,7 @@
 Package: libbasix-dev
 Architecture: any
 Multi-Arch: same
-Depends: libbasix0.6gcc13 (= ${binary:Version}),
+Depends: libbasix0.7t64 (= ${binary:Version}),
  libeigen3-dev,
  ${misc:Depends}, ${shlibs:Depends}
 Suggests: python3-basix, basix-doc
@@ -59,7 +60,10 @@
  .
  This package installs the development files for the shared library.
 
-Package: libbasix0.6gcc13
+Package: libbasix0.7t64
+Provides: ${t64:Provides}
+Replaces: libbasix0.7
+Breaks: libbasix0.7 (<< ${source:Version})
 Architecture: any
 Multi-Arch: same
 Depends: ${misc:Depends}, ${shlibs:Depends}
@@ -87,7 +91,7 @@
 Package: python3-basix
 Architecture: any
 Depends: libbasix-dev  (= ${binary:Version}),
- python3-ufl (>= 2023.1.0~),
+ python3-ufl (>= 2023.2.0~),
  ${python3:Depends}, ${misc:Depends}, ${shlibs:Depends}
 Recommends: python3-numba
 Breaks: python3-ffcx (<< 1:0.4~)
