=== debian/rules ===
--- 
+++ 
@@ -5,16 +5,6 @@
 
 include /usr/share/dpkg/default.mk
 export DEB_HOST_MULTIARCH
-
-DEB_SOURCE_PACKAGE := $(strip $(shell egrep '^Source: ' debian/control | cut -f 2 -d ':'))
-DEB_VERSION := $(shell dpkg-parsechangelog | egrep '^Version:' | cut -f 2 -d ' ')
-DEB_NOEPOCH_VERSION := $(shell echo $(DEB_VERSION) | cut -d: -f2-)
-DEB_UPSTREAM_VERSION := $(shell echo $(DEB_NOEPOCH_VERSION) | sed 's/-[^-]*$$//')
-DEB_STRIPPED_UPSTREAM_VERSION = $(shell echo $(DEB_UPSTREAM_VERSION) | sed -e 's/\+dfsg.*$$//p')
-
-VERSION := $(DEB_STRIPPED_UPSTREAM_VERSION)
-MAJOR_VERSION := $(shell echo $(DEB_STRIPPED_UPSTREAM_VERSION) | sed "s/^\([^.]*\)\..*$$/\1/")
-SOVERSION := $(MAJOR_VERSION)
 
 PY3VERS := $(shell py3versions -v --requested debian/control | tac -s' ')
 PY3VER_DEFAULT := $(shell py3versions -dv)
