=== debian/changelog ===
fenics-basix (0.8.0-9) unstable; urgency=medium

  * rebuild against lastest nanobind. See Bug#1085019.

 -- Drew Parsons <dparsons@debian.org>  Sun, 13 Oct 2024 10:48:59 +0200

fenics-basix (0.8.0-8) unstable; urgency=medium

  * New release to force rebuild of python3-basix with GCC 14.
    The issue is that the nanobind wrappers shipped in the current python3-basix
    version 0.8.0-7 were built with GCC 13, and thus are incompatible with
    GCC 14 nanobind wrappers in python3-dolfinx (see Bug #1074951), as well as
    GCC 14 nanobind wrappers in python3-dolfinx-mpc (see Bug #1074920).

 -- Francesco Ballarin <francesco.ballarin@unicatt.it>  Wed, 28 Aug 2024 09:34:21 +0000

fenics-basix (0.8.0-7) unstable; urgency=medium

  * python3-basix also breaks python3-dolfinx-real and python3-dolfinx-complex
  * Fix lower bound on fenics-ufl in python3-basix: it must be 2024.1.0~, and
    not 2023.2.0~.

 -- Francesco Ballarin <francesco.ballarin@unicatt.it>  Sat, 08 Jun 2024 12:42:21 +0000

fenics-basix (0.8.0-6) unstable; urgency=medium

  * Add Breaks python3-dolfinx on python3-basix.
    Indeed, python3-basix since 0.8.0-3 is breaking dolfinx before 1:0.8.0-8
    because both basix and dolfinx python wrappers need to be compiled with
    nanobind 2.0

 -- Francesco Ballarin <francesco.ballarin@unicatt.it>  Wed, 05 Jun 2024 08:56:36 +0000

fenics-basix (0.8.0-5) unstable; urgency=medium

  * Silence dpkg-architecture warning on stderr
      cannot determine CC system type, falling back to default (native
      compilation)
    on debci by adding gcc as a autokpgtest dependency

 -- Francesco Ballarin <francesco.ballarin@unicatt.it>  Tue, 04 Jun 2024 13:32:17 +0000

fenics-basix (0.8.0-4) unstable; urgency=medium

  * Skip slowest tests on riscv64

 -- Francesco Ballarin <francesco.ballarin@unicatt.it>  Sun, 02 Jun 2024 13:57:25 +0000

fenics-basix (0.8.0-3) unstable; urgency=medium

  * Build-Depends on nanobind >= 2.0.0~

 -- Francesco Ballarin <francesco.ballarin@unicatt.it>  Sat, 01 Jun 2024 15:38:37 +0000

fenics-basix (0.8.0-2exp2) experimental; urgency=medium

  * Add debian/patches/PR825.diff for compatibility with nanobind 2.0

 -- Francesco Ballarin <francesco.ballarin@unicatt.it>  Sat, 01 Jun 2024 07:50:03 +0000

fenics-basix (0.8.0-2exp1) experimental; urgency=medium

  * Standards-Version: 4.7.0 (routine-update)
  * Fix Maintainer name of Debian Science team (routine-update)
  * Build-Depends: s/dh-python/dh-sequence-python3/ (routine-update)
  * True goal of this upload is to trigger a rebuild with nanobind 2.0.

 -- Francesco Ballarin <francesco.ballarin@unicatt.it>  Sat, 01 Jun 2024 07:25:45 +0000

fenics-basix (0.8.0-1) unstable; urgency=medium

  * New upstream release for FEniCSx 0.8
  * Add Francesco Ballarin to uploaders
  * Build-Depends on python3-ufl 2024.1.0
  * Refresh version number in README.Debian
  * Refresh fix_doc_build.patch
  * Explicitly disable tests when running pybuild, since they are manually run in
    execute_before_dh_python3
  * Update fix_doc_build.patch: add numba to autodoc_mock_imports, otherwise sphinx
    would fail on systems which do not support numba.

 -- Francesco Ballarin <francesco.ballarin@unicatt.it>  Thu, 25 Apr 2024 08:53:44 +0000

fenics-basix (0.8.0~git20240321.0315c73-1) experimental; urgency=medium

  * New upstream snapshot of v0.8.0 preview
    - new ABI 0.8
    - Build-Depends: python3-nanobind, python3-scikit-build-core
      instead of python3-pybind11, python3-skbuild
    - Build-Depends: python3-ufl (>= 2023.2.0+git20240402.d25a40d)
    - python docs built directly with python3 -m sphinx not makefile
  * debian/tests: test all supported python versions
  * copy LICENSE to python dir during python module build. Upstream's
    pyproject.toml uses a relative path ../LICENSE, but pybuild copies
    source and builds in tmp, missing the LICENSE file unless it is
    copied there. Use debian/patches/python_local_LICENSE.patch.

 -- Drew Parsons <dparsons@debian.org>  Sun, 07 Apr 2024 14:01:14 +0200
