=== debian/control ===
--- 
+++ 
@@ -1,45 +1,49 @@
 Source: fenics-basix
+Maintainer: Debian Science Maintainers <debian-science-maintainers@lists.alioth.debian.org>
+Uploaders: Drew Parsons <dparsons@debian.org>,
+           Francesco Ballarin <francesco.ballarin@unicatt.it>
 Section: python
+Testsuite: autopkgtest-pkg-python
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian Science Team <debian-science-maintainers@lists.alioth.debian.org>
-Uploaders: Drew Parsons <dparsons@debian.org>
-Build-Depends: dpkg-dev (>= 1.22.5), debhelper-compat (= 13),
- dh-python,
- python3-setuptools,
- python3-all-dev:any,
- python3-ufl (>= 2023.2.0~),
- python3-numpy (>= 1.21~),
- python3-pybind11 (>= 2.6.4~),
- pybuild-plugin-pyproject,
- python3-pytest,
- python3-skbuild,
- python3-sphinx,
- python3-sympy,
- python3-wheel,
- cmake (>= 3.16),
- chrpath,
- cython3,
- libeigen3-dev,
- libjs-mathjax,
- ninja-build,
- libblas-dev | libopenblas-dev | libblis-dev | libatlas-base-dev | libblas.so,
- liblapack-dev | libopenblas-dev | libatlas-base-dev | liblapack.so
-Build-Depends-Indep: doxygen, graphviz
-Standards-Version: 4.6.2
-Homepage: https://github.com/FEniCS/basix
+Build-Depends: dpkg-dev (>= 1.22.5),
+               debhelper-compat (= 13),
+               dh-sequence-python3,
+               python3-setuptools,
+               python3-all-dev:any,
+               python3-ufl (>= 2024.1.0~),
+               python3-nanobind (>= 2.0.0~),
+               python3-numpy,
+               pybuild-plugin-pyproject,
+               python3-pytest,
+               python3-scikit-build-core,
+               python3-sphinx,
+               python3-sympy,
+               python3-wheel,
+               cmake,
+               chrpath,
+               cython3,
+               libeigen3-dev,
+               libjs-mathjax,
+               ninja-build,
+               libblas-dev | libopenblas-dev | libblis-dev | libatlas-base-dev | libblas.so,
+               liblapack-dev | libopenblas-dev | libatlas-base-dev | liblapack.so
+Build-Depends-Indep: doxygen,
+                     graphviz
+Standards-Version: 4.7.0
 Vcs-Browser: https://salsa.debian.org/science-team/fenics/fenics-basix
 Vcs-Git: https://salsa.debian.org/science-team/fenics/fenics-basix.git
-Testsuite: autopkgtest-pkg-python
+Homepage: https://github.com/FEniCS/basix
 Rules-Requires-Root: no
 
 Package: libbasix-dev
 Architecture: any
 Multi-Arch: same
-Depends: libbasix0.7t64 (= ${binary:Version}),
- libeigen3-dev,
- ${misc:Depends}, ${shlibs:Depends}
-Suggests: python3-basix, basix-doc
+Depends: libbasix0.8 (= ${binary:Version}),
+         libeigen3-dev,
+         ${misc:Depends},
+         ${shlibs:Depends}
+Suggests: python3-basix,
+          basix-doc
 Description: Finite Element Basis Function Definition Runtime Library (development headers)
  Computes FE basis functions and derivatives for the following
  elements:
@@ -60,14 +64,13 @@
  .
  This package installs the development files for the shared library.
 
-Package: libbasix0.7t64
-Provides: ${t64:Provides}
-Replaces: libbasix0.7
-Breaks: libbasix0.7 (<< ${source:Version})
+Package: libbasix0.8
 Architecture: any
 Multi-Arch: same
-Depends: ${misc:Depends}, ${shlibs:Depends}
+Depends: ${misc:Depends},
+         ${shlibs:Depends}
 Suggests: basix-doc
+Provides: ${t64:Provides}
 Description: Finite Element Basis Function Definition Runtime Library (Python 3)
  Computes FE basis functions and derivatives for the following
  elements:
@@ -91,11 +94,16 @@
 Package: python3-basix
 Architecture: any
 Depends: libbasix-dev  (= ${binary:Version}),
- python3-ufl (>= 2023.2.0~),
- ${python3:Depends}, ${misc:Depends}, ${shlibs:Depends}
+         python3-ufl (>= 2024.1.0~),
+         ${python3:Depends},
+         ${misc:Depends},
+         ${shlibs:Depends}
 Recommends: python3-numba
-Breaks: python3-ffcx (<< 1:0.4~)
 Suggests: basix-doc
+Breaks: python3-ffcx (<< 1:0.4~),
+        python3-dolfinx (<< 1:0.8.0-11),
+        python3-dolfinx-real (<< 1:0.8.0-11),
+        python3-dolfinx-complex (<< 1:0.8.0-11)
 Description: Finite Element Basis Function Definition Runtime Library (Python 3)
  Computes FE basis functions and derivatives for the following
  elements:
@@ -120,7 +128,9 @@
 Architecture: all
 Multi-Arch: foreign
 Section: doc
-Depends: libjs-mathjax, ${sphinxdoc:Depends}, ${misc:Depends}
+Depends: libjs-mathjax,
+         ${sphinxdoc:Depends},
+         ${misc:Depends}
 Suggests: python3-basix
 Description: Finite Element Basis Function Definition Runtime Library (docs)
  Computes FE basis functions and derivatives for the following
